Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module transactions :: Class Transaction |
[frames] | no frames]

# Class Transaction

source code

    object --+
             |
            Transaction

Instance Methods
__init__(self, transactions, name, value, parent) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__repr__(self) repr(x) | source code
name(self) | source code
value(self, value) | source code
updater(self) | source code
parent(self) | source code
commit(self) | source code
rollback(self) | source code
__enter__(self) | source code
__exit__(self, exc_type, exc_val, exc_tb) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, transactions, name, value, parent) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)

### name(self) | source code
Decorators: `@property`

### value(self, value) | source code
Decorators: `@value.setter`

### updater(self) | source code
Decorators: `@property`

### parent(self) | source code
Decorators: `@property`